<%=
  flex_layout(classes: "wp-datepicker-dialog-date-form") do |body|
    body.with_column(classes: "wp-datepicker-dialog-date-form--start-date") do
      flex_layout do |start_date|
        start_date.with_row(classes: container_classes(:start_date)) do
          render(
            Primer::ButtonComponent.new(
              tag: :a,
              href: single_date_field_button_link("start_date"),
              data: { turbo_stream: true },
              classes: "wp-datepicker-dialog-date-form--add-button",
              test_selector: "wp-datepicker--show-start-date"
            )
          ) do |button|
            button.with_leading_visual_icon(icon: :plus)
            WorkPackage.human_attribute_name("start_date")
          end
        end

        start_date.with_row(classes: "wp-datepicker-dialog-date-form--text-field-container") do
          render(Primer::Alpha::TextField.new(**text_field_options(name: :start_date, label: start_date_label)))
        end
        start_date.with_row(classes: "wp-datepicker-dialog-set-today-link") do
          render_today_link(name: :start_date)
        end
      end
    end

    unless @is_milestone
      body.with_column(classes: "wp-datepicker-dialog-date-form--due-date") do
        flex_layout do |due_date|
          due_date.with_row(classes: container_classes(:due_date), data: { skip_morphing: true }) do
            render(
              Primer::ButtonComponent.new(
                tag: :a,
                href: single_date_field_button_link("due_date"),
                data: { turbo_stream: true },
                classes: "wp-datepicker-dialog-date-form--add-button",
                test_selector: "wp-datepicker--show-due-date"
              )
            ) do |button|
              button.with_leading_visual_icon(icon: :plus)
              WorkPackage.human_attribute_name("due_date")
            end
          end

          due_date.with_row(classes: "wp-datepicker-dialog-date-form--text-field-container") do
            render(Primer::Alpha::TextField.new(**text_field_options(name: :due_date, label: I18n.t("attributes.due_date"))))
          end
          due_date.with_row(classes: "wp-datepicker-dialog-set-today-link") do
            render_today_link(name: :due_date)
          end
        end
      end

      body.with_column(classes: "wp-datepicker-dialog-date-form--duration") do
        render(Primer::Alpha::TextField.new(**text_field_options(name: :duration, label: WorkPackage.human_attribute_name("duration"))))
      end
    end
  end
%>
